Trim cylinder with wires

Hy

I want to trim a cylinder with 3 wires, 2 for the limits (top and bottom) and 1 for a hole.
I try with MakeFace, but it does not work.
Can you held me ??

I give you, a picture, to more explain my problem.

Thanks for all

Roseline

Roseline's picture

Nobody can help me??

If you want more explications on my problem
do not hesitate to ask me questions

Thanks for all

Roseline

Fabian Hachenberg's picture

Hi Roseline,

could you please post your sourcecode so we can see, how you're trying to do it?

Roseline's picture

Hi Fabian

my sourcecode :

I have in entry a TopoDS_Face: F and 3 TopoDS_Wire: Wtop, Wbottom, and Whole

BRepAPI_MakeFace mkFace(F);

mkFace.Add(Wtop);

mkFace.Add(Wbottom);

mkFace.Add(Whole);

mkFace.Build();

if (mkFace.IsDone())
{
TopoDS_Face result = mkFace.Face();
}

I attached the result.

Can you said me the problem??
Thanks

Roseline

Roseline's picture

Nobody can say me if there is a mistake in my source code??

I have to used a another method??

Thanks for all

Roseline

Gabriel Bauer's picture

Hi Roseline,

by the image attached it seems that the result face has orientation problem.

Try the ShapeFix_Face:

ShapeFix_Face sff( result );
sff.FixOrientation();
sff.Perform();
TopoDS_Face fixedFace = sff.Face();

Regards,
Gabriel